List tables
Tables in an app, as listed in the app's sidebar.
GET https://cotlet.dev/api/v1/quickbase/tables
read
Returns the tables in the sidebar of one app, in sidebar order, with what the app calls their records (for example 'Work order'). Tables your role cannot open are not listed. Use the table name it returns in the other tools.
Parameters
| Name | Type | Description |
|---|---|---|
| app string required | string | App name as it appears under My apps, e.g. 'Field Ops'. |
Request
curl "https://cotlet.dev/api/v1/quickbase/tables?app=Field+Ops" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("quickbase", "list_tables", {"app":"Field Ops"}) const result = await cotlet.call('quickbase', 'list_tables', {"app":"Field Ops"}); cotlet call quickbase list_tables --data '{"app":"Field Ops"}' Example response
{
"tables": [
{
"table": "Work orders",
"record_name": "Work order"
},
{
"table": "Sites",
"record_name": "Site"
},
{
"table": "Technicians",
"record_name": "Technician"
}
]
}